journald log driver does not support reading

Bug #1802979 reported by Stephen Buergler on 2018-11-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
docker.io (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned

Bug Description

I can't get logs out of containers that use journald using the `docker logs` command.

```
$ docker logs fa95590f3c6b
Error response from daemon: configured logging driver does not support reading
```

The journald logging driver usually supports reading logs. According to this issue on github (https://github.com/moby/moby/issues/31404) it only works if the binary is properly linked. The docker binary from this package doesn't seem to support it.

Michael Hudson-Doyle (mwhudson) wrote :

Hi, thanks for the report. The fix seems to be simple, we just need to have libsystemd-dev installed during the build. I'm building a fix for that in my ppa:

https://launchpad.net/~mwhudson/+archive/ubuntu/devirt/+packages

Which I'll test later, but you could also grab the deb from there if you want to try it out too!

Changed in docker.io (Ubuntu):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package docker.io - 18.06.1-0ubuntu2

---------------
docker.io (18.06.1-0ubuntu2) disco; urgency=medium

  * Fix containerd/runc embedded commit values
  * Add "libsystemd-dev" to "Build-Depends" (LP: #1802979)

 -- Tianon Gravi <email address hidden> Fri, 19 Oct 2018 13:06:35 -0700

Changed in docker.io (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package docker.io - 18.09.2-0ubuntu1~18.10.1

---------------
docker.io (18.09.2-0ubuntu1~18.10.1) cosmic; urgency=medium

  * Backport to 18.10 (LP: #1815683).

 -- Michael Hudson-Doyle <email address hidden> Wed, 13 Feb 2019 13:25:20 +1300

Changed in docker.io (Ubuntu Cosmic):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package docker.io - 18.09.2-0ubuntu1~18.04.1

---------------
docker.io (18.09.2-0ubuntu1~18.04.1) bionic; urgency=medium

  * Backport to 18.04 (LP: #1815683).

 -- Michael Hudson-Doyle <email address hidden> Wed, 13 Feb 2019 13:24:14 +1300

Changed in docker.io (Ubuntu Bionic):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package docker.io - 18.09.2-0ubuntu1~16.04.1

---------------
docker.io (18.09.2-0ubuntu1~16.04.1) xenial; urgency=medium

  * Backport to 16.04 (LP: #1815683).
  * Revert "Let dh_systemd install .service file: replace .install file entry
    with symlink"
  * Build with the freshly backported golang-1.10-go package.
  * Relax the build dependency on debhelper.
  * Build depend on btrfs-tools, not libbtrfs-dev or btrfs-progs.
  * Re-add build-depends on dh-systemd

 -- Michael Hudson-Doyle <email address hidden> Wed, 13 Feb 2019 11:47:29 +1300

Changed in docker.io (Ubuntu Xenial):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers